% data input 

function [n,N,stockreturn] = data_input_week()

Allstockdata = [];

%read week price data
Allstockdata = xlsread('week_price3',1,'b2:be501');   
data1=xlsread('week_price2',1,'b2:hb501');
data2=xlsread('week_price1',1,'b2:hb501');
Allstockdata = [Allstockdata data1 data2];


Allstockdata = Allstockdata';

[N,n]=size(Allstockdata); % n is the asset number; 

ind=[];
for i=1:n
    a0=Allstockdata(:,i);
    if isnan(a0)==0 
        ind=[ind i];      % delete assets with missing data 
    end
end

Stockdata=Allstockdata(:,ind);
n=size(Stockdata,2);

stockreturn=zeros(N-1,n);
for i=1:n
    for t=1:N-1
        g=(Stockdata(t+1,i)-Stockdata(t,i))/Stockdata(t,i); % calculate returns using prices
        stockreturn(t,i)=g;
    end
end

N = N-1;  % the return number;
